//priority: 0
//Created by Nebula240
//Creado por Nebula240
onEvent('item.tooltip', tooltip => {
    // Anointed Items
    tooltip.add(['anointeditems:power_oil', 'anointeditems:agility_oil', 'anointeditems:tenacity_oil', 'anointeditems:acceleration_oil', 'anointeditems:lightness_oil', 'anointeditems:protection_oil'], 'Used on the Anointing Table')
    //LevelHearts
    tooltip.add(['levelhearts:heart_piece'],  Text.of('Merge 4 to create a Heart Container').red())
    tooltip.add(['levelhearts:heart_container'], Text.of('Consume to increase your HP by 2').red())
    //DungeonMod
    tooltip.add(['dungeonsmod:home_gem'], Text.of('Takes you back to your home').gray())
    tooltip.add(['dungeonsmod:back_pergamine'], Text.of('Takes you back to your grave').gray())
    tooltip.add(['dungeonsmod:sun_overdrive'], Text.of('Skips time 12 hours').lightPurple())
    tooltip.add(['dungeonsmod:golden_bone'], Text.of('Totem of Dog Undying').lightPurple())
    //Advent of ascension
    let bossSummoningItems = ['aoa3:book_of_shadows', 'aoa3:call_of_the_drake', 'aoa3:gold_spring', 'aoa3:nethengeic_callstone', 'aoa3:amphibiyte_lung', 'aoa3:vile_stone', 'aoa3:mega_rune_stone', 'aoa3:warlock_gem', 'aoa3:haunted_idol', 'aoa3:explosive_idol', 'aoa3:shroom_stone', 'aoa3:boulder_dash', 'aoa3:darkly_powder', 'aoa3:heavy_boulder', 'aoa3:petals', 'aoa3:bone_horn', 'aoa3:observing_eye', 'aoa3:troll_idol', 'aoa3:giant_crystal', 'aoa3:ancient_ring', 'aoa3:treat_bag', 'aoa3:explosive_gems', 'aoa3:staring_eye', 'aoa3:voliant_heart', 'aoa3:toy_gyrocopter', 'aoa3:guardians_eye', 'aoa3:hive_egg']
    bossSummoningItems.forEach(i => tooltip.add(i, Text.of('Boss summoning item').lightPurple()))
    //Blockcarpentry
    tooltip.add(['blockcarpentry:hammer'],  Text.of('Removes the block from the frame').gray())
    tooltip.add(['blockcarpentry:texture_wrench'],  Text.of('Changes the texture face').gray())
    tooltip.add(['blockcarpentry:chisel'],  Text.of('Changes the design of some frame blocks').gray())
    tooltip.add(['blockcarpentry:paintbrush'],  Text.of('Changes the colour of some frame blocks').gray())
    //Endermail
    tooltip.add(['endermail:stamp'], Text.of('Stamp it on a Package to seal the package!').gray())
    tooltip.add(['endermail:package'], Text.of('Fill it with stuff to send!').gray())
    tooltip.add(['endermail:package_controller'], Text.of('Use it to send your Stamped Package!').gray())
    //Elevators
    tooltip.add(['@elevatorid'], Text.of('Shift to go down and Jump to go up.').gray())
  })